| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.OrderService Class Reference

Implements `IOrderService` interface. More...

Inheritance diagram for LicenseSpring.OrderService:

## Public Member Functions
LicenseUser | AddManagerToOrder (ulong orderId, string email, string password)
  | Adds a order manager to a single Order if requesting manager has access permissions to it. Parameters
  orderId | The id of the order
  email | The email of the manager
  password | The password of the manager
string | CreateOrder (ILicenseDetails[] licenses, string productCode, Order order)
| Overloaded method for COM clients.
string | CreateOrder (LicenseDetails[] licenses, string productCode, Order order=null)
  | Creates order on the LicenseSpring platform. After this action licenses are ready to use. Parameters
  licenses | Array of licenses that are going to be ordered
  productCode | Product code of licenses that are going to be ordered
  order | Order details, optional.
If not specified, default order info will be used.
LicenseUser[] | ListManagersOnOrder (ulong orderId)
  | Lists all Order managers the requesting manager has access permissions to. Parameters
  Id | The id of the order
License[] | ListOrderLicenses (ulong orderId)
  | Retrieves order items by order id. Parameters
  storeId | The id of the order
Order[] | ListOrders (ListOrdersRequestDto dto, out uint Count)
  | Returns all orders. Parameters
  dto | Data transfer object that is used for searching through all orders.
  count | Quantity of orders, use for iteration of the result pages.
string | RemoveManagerFromOrder (ulong orderId, ulong licenseUserId)
  | Removes a order manager from a single Order if requesting manager has access permissions to it. Parameters
  orderId | The id of the order
  licenseUserId | The id of the manager
Order | UpdateOrder (Order order)
  | Updates a single Order. Parameters
  order | Order object with updated fields.
Public Member Functions inherited from LicenseSpring.BaseService
void | Initialize (ManagementConfiguration configuration)
  | Initialize management service with given configuration. Parameters
  configuration | ManagementConfiguration object to use
  Exceptions
  System.ArgumentNullException | Thrown when configuration is null
bool | IsInitialized ()
| Check whether management service has been initialized. Returns True if management service has been initialized and ready to use or false otherwise
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring platform. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

## Detailed Description

Implements `IOrderService` interface.

## Member Function Documentation

## ◆ AddManagerToOrder()

LicenseUser LicenseSpring.OrderService.AddManagerToOrder | ( | ulong | orderId,
|  | string | email,
|  | string | password
| ) |  |

Adds a order manager to a single Order if requesting manager has access permissions to it.

Parameters

  orderId | The id of the order
  email | The email of the manager
  password | The password of the manager

Implements LicenseSpring.IOrderService.

## ◆ CreateOrder() [1/2]

string LicenseSpring.OrderService.CreateOrder | ( | ILicenseDetails[] | licenses,
|  | string | productCode,
|  | Order | order
| ) |  |

Overloaded method for COM clients.

Implements LicenseSpring.IOrderService.

## ◆ CreateOrder() [2/2]

string LicenseSpring.OrderService.CreateOrder | ( | LicenseDetails[] | licenses,
|  | string | productCode,
|  | Order | order = `null`
| ) |  |

Creates order on the LicenseSpring platform. After this action licenses are ready to use.

Parameters

  licenses | Array of licenses that are going to be ordered
  productCode | Product code of licenses that are going to be ordered
  order | Order details, optional.

If not specified, default order info will be used.

Implements LicenseSpring.IOrderService.

## ◆ ListManagersOnOrder()

LicenseUser[] LicenseSpring.OrderService.ListManagersOnOrder | ( | ulong | orderId | ) |

Lists all Order managers the requesting manager has access permissions to.

Parameters

  Id | The id of the order

Implements LicenseSpring.IOrderService.

## ◆ ListOrderLicenses()

License[] LicenseSpring.OrderService.ListOrderLicenses | ( | ulong | orderId | ) |

Retrieves order items by order id.

Parameters

  storeId | The id of the order

Implements LicenseSpring.IOrderService.

## ◆ ListOrders()

Order[] LicenseSpring.OrderService.ListOrders | ( | ListOrdersRequestDto | dto,
|  | out uint | Count
| ) |  |

Returns all orders.

Parameters

  dto | Data transfer object that is used for searching through all orders.
  count | Quantity of orders, use for iteration of the result pages.

Implements LicenseSpring.IOrderService.

## ◆ RemoveManagerFromOrder()

string LicenseSpring.OrderService.RemoveManagerFromOrder | ( | ulong | orderId,
|  | ulong | licenseUserId
| ) |  |

Removes a order manager from a single Order if requesting manager has access permissions to it.

Parameters

  orderId | The id of the order
  licenseUserId | The id of the manager

Implements LicenseSpring.IOrderService.

## ◆ UpdateOrder()

Order LicenseSpring.OrderService.UpdateOrder | ( | Order | order | ) |

Updates a single Order.

Parameters

  order | Order object with updated fields.

Implements LicenseSpring.IOrderService.

The documentation for this class was generated from the following file:

- OrderService.cs